/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/graphics/sgxcamera.hpp

*/

#ifndef SGX_GFX_CAMERA_HPP
#define SGX_GFX_CAMERA_HPP

class CSGXCamera : public sgxCamera {
public:
	CSGXCamera() : sgxCamera() {}
	CSGXCamera(const tREAL32 x, const tREAL32 y, const tREAL32 z) : sgxCamera(x,y,z) {}
	CSGXCamera(const sgxVector3 &from, const sgxVector3 &to) : sgxCamera(from,to) {}
	CSGXCamera(const sgxCamera &cam) : sgxCamera(cam) {}

};


#endif /* SGX_GFX_CAMERA_HPP */
